//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 3 textures and 4 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 07/30/1997    (30.07.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//


// Fabien HENON * 1997
// a cup render with height field (to mimic the waves)
// the cup was modelled with povray
// to render with povray 3.0 -> povray 3.7




#declare eau=
//texture { pigment { color rgbf <0.03,0.03,0.03> }
texture { pigment { color rgbf 1 }
  finish { specular 1 roughness 0.008
        refraction on
        ior 1.3
        reflection 0.05 }
        }


#include "hardwood.inc"

object { plancher
scale 0.04
rotate x*90
}

#include "shapes.inc"
#include "shapesq.inc"

object {
   Piriform
   sturm
   scale <1, 0.2, .2>*0.3
   rotate <0,90,90>
   translate 2.6*z
texture { eau }
}

object {
   Piriform
   sturm
   scale <1, 0.2, .2>*0.3
   rotate <0,90,90>
   translate 2.15*z
texture { eau }
}


intersection {
object {
height_field { gif "vague.gif"
smooth
}
rotate <-90,0,0>
translate <-0.5,-0.5,-0.5>
scale <3,3,0.15>
translate 1.7*z inverse}
cylinder { <0,0,1.5>,<0,0,2>,0.85 }
bounded_by { box { <-0.9,-0.9,1.5>,<0.9,0.9,2> }}
texture { eau finish { reflection 0 }}
translate z*0.2
}

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
/*  radiosity {
    brightness       3.3
    count            1000
    distance_maximum 0.0
    error_bound      0.3
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  2
  }*/
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <-2.697, -4.3, 3>
  direction <0.0,     0.0,  1.8>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.036, 0.293, 0.9>

}

// *******  L I G H T S *******

light_source { <4,3,4> color rgb 1
  area_light <1.001, 0.331, 0.000>, <-0.063, 0.190, 0.379>, 10, 10
  adaptive 6
  jitter
}


light_source { // AreaL001
  <13.621, -20.323, 7.866>
  color  rgb 1
  area_light <1.001, 0.331, 0.000>, <-0.063, 0.190, 0.379>, 10, 10
  adaptive 6
  jitter
}



// ******** dome ********


  sphere{<0,0,0>,10000
    pigment{
      image_map {
        png "dome.png"
        map_type 1
      }
    }
  }



// ********  TEXTURES  *******
//

#include "cup.inc"

#declare valeur= 5

// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******






#declare BzPtch001 = union {
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps valeur v_steps valeur,
      <3.992050, 0.000000, -3.464279>, <3.992050, -0.567277, -3.464279>, <3.993325, -1.031414, -3.257833>, <3.994883, -1.031414, -3.005509>,
      <-0.470155, 0.000000, -1.299558>, <-0.470155, -0.645307, -1.299558>, <-0.236696, -1.173285, -1.299558>, <0.048642, -1.173285, -1.299558>,
      <-0.037522, 0.000000, 3.759653>, <-0.037522, -0.633213, 3.759653>, <0.323873, -1.151297, 3.565713>, <0.765578, -1.151297, 3.328675>,
      <4.026576, 0.000000, 3.162124>, <4.026576, -0.550000, 3.162124>, <4.017249, -1.000000, 2.977327>, <4.005849, -1.000000, 2.751464>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps valeur v_steps valeur,
      <3.994883, -1.031414, -3.005509>, <3.996442, -1.031414, -2.753186>, <3.997717, -0.567277, -2.546739>, <3.997717, 0.000000, -2.546739>,
      <0.048642, -1.173285, -1.299558>, <0.333981, -1.173285, -1.299558>, <0.567440, -0.645307, -1.299558>, <0.567440, 0.000000, -1.299558>,
      <0.765578, -1.151297, 3.328675>, <1.207283, -1.151297, 3.091636>, <1.568679, -0.633213, 2.897696>, <1.568679, 0.000000, 2.897696>,
      <4.005849, -1.000000, 2.751464>, <3.994449, -1.000000, 2.525601>, <3.985122, -0.550000, 2.340805>, <3.985122, 0.000000, 2.340805>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps valeur v_steps valeur,
      <3.997717, 0.000000, -2.546739>, <3.997717, 0.567277, -2.546739>, <3.996442, 1.031414, -2.753186>, <3.994883, 1.031414, -3.005509>,
      <0.567440, 0.000000, -1.299558>, <0.567440, 0.645307, -1.299558>, <0.333981, 1.173285, -1.299558>, <0.048642, 1.173285, -1.299558>,
      <1.568679, 0.000000, 2.897696>, <1.568679, 0.633213, 2.897696>, <1.207283, 1.151297, 3.091636>, <0.765578, 1.151297, 3.328675>,
      <3.985122, 0.000000, 2.340805>, <3.985122, 0.550000, 2.340805>, <3.994449, 1.000000, 2.525601>, <4.005849, 1.000000, 2.751464>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps valeur v_steps valeur,
      <3.994883, 1.031414, -3.005509>, <3.993325, 1.031414, -3.257833>, <3.992050, 0.567277, -3.464279>, <3.992050, 0.000000, -3.464279>,
      <0.048642, 1.173285, -1.299558>, <-0.236696, 1.173285, -1.299558>, <-0.470155, 0.645307, -1.299558>, <-0.470155, 0.000000, -1.299558>,
      <0.765578, 1.151297, 3.328675>, <0.323873, 1.151297, 3.565713>, <-0.037522, 0.633213, 3.759653>, <-0.037522, 0.000000, 3.759653>,
      <4.005849, 1.000000, 2.751464>, <4.017249, 1.000000, 2.977327>, <4.026576, 0.550000, 3.162124>, <4.026576, 0.000000, 3.162124>
    }
  }
  texture {
    manche
  }
  scale <0.2, 0.2, 0.21>
  translate  -1.737261*x
}
#declare RotSwp001 = lathe {
  cubic_spline
  15  // control points
  <0.0, -1.0>,
  <0.036575, -0.997078>,
  <0.801268, -0.978225>,
  <0.896972, -0.799903>,
  <1.0, -0.595023>,
  <0.886815, 0.062585>,
  <0.979098, 0.583747>,
  <1.0, 0.9>,
  <0.902599, 0.865333>,
  <0.877807, 0.677193>,
  <0.83009, 0.061161>,
  <0.821643, -0.529013>,
  <0.661031, -0.829887>,
  <0.109784, -0.89816>,
  <0.035561, -0.90327>

  rotate <90,0,90>
  texture {
    supper
  }
}
union { // tasse
  object { BzPtch001 }
  object { RotSwp001 }
  translate  <0.0, 0.004912, 0.999508>
}




